Unable to flash 19.07 rc1 ath79 from 18.06 ar71xx

When trying to flash from 18.06 ar71xx to 19.07 rc1 ath79 sysupgrade on a TP-Link TL-WR1043ND v3, I get the following message:

The uploaded image file does not contain a supported format. Make sure that you choose the generic image format for your platform.

What am I doing wrong?

Can you try version 17 or 18, then try 19?

Do not keep settings (make a backup for use later).

There is no such a release version...

Can you explain more precicesly how you flashed what image?

1 Like

Target change. From ar71xx to ath79.
There is no clear update path.
You may need use console sysupgrade command and override the image check (as the 18.06 LuCI offers no "force" option like 19.07 and master).

3 Likes

Hi here's what I did when flashing my c7-v2 from 18.04 to 19.07-rc1. installed winSCP and putty on my pc. Loged on to my c7 using winscp. Renamed the bin file for 19.07 to openwrt.bin. Uploaded the openwrt.bin file to /tmp. Then loged on to my router at 192.168.1.1 using putty. Then type. "cd /tmp" then "sysupgrade -f openwrt.bin"

You probably meant "-F", as "-f" specifies the config file to be restored...

Ps. and the file rename for normal sysupgrade is quite unncessary.

1 Like

Alternatively, you could probably flash from 18.06 to 19.07 ar71xx, and then flash to 19.07 ath79 with the option to force the installation through GUI.